package su.a71.new_soviet.items;

import net.minecraft.entity.Entity;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.item.*;
import net.minecraft.world.World;

public class WhitewashedItem extends Item {

    public WhitewashedItem(Item.Settings settings) {
        super(settings.maxDamageIfAbsent(610));
    }

    public int getSlot(int info) {
        if (info < 0) {
            return 40;
        }
        return info;
    }

    @Override
    public void inventoryTick(ItemStack stack, World world, Entity entity, int slot, boolean selected) {
        if (stack.getDamage() >= 600 && entity.isPlayer()) {
            PlayerEntity user = (PlayerEntity) entity;
            user.getInventory().setStack(getSlot(user.getInventory().getSlotWithStack(stack)), Items.BUCKET.getDefaultStack());
        }
    }
}